Package org.eclipse.emf.cdo.server

# Interface ISynchronizableRepository

All Superinterfaces:
  `CDOCommonRepository`, `CDOLobLoader`, `CDOTimeProvider`, `IAdaptable`, `org.eclipse.net4j.util.container.IContainer<Object>`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `ILobCleanup`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `IQueryHandlerProvider`, `IRepository`

All Known Subinterfaces:
  `InternalFailoverParticipant`, `InternalSynchronizableRepository`

public interface ISynchronizableRepository extends IRepository
A repository with the ability to `synchronize` its content with another repository.

Since:
  3.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

`CDOCommonRepository.CommitInfoStorage, CDOCommonRepository.IDGenerationLocation, CDOCommonRepository.ListOrdering, CDOCommonRepository.Mode, CDOCommonRepository.State, CDOCommonRepository.StateChangedEvent, CDOCommonRepository.Type, CDOCommonRepository.TypeChangedEvent`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.ILobCleanup

`ILobCleanup.LobCleanupNotSupportedException`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.server.IRepository

`IRepository.Handler, IRepository.Props, IRepository.ReadAccessHandler, IRepository.WriteAccessHandler`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.server.IRepository

`SYSTEM_USER_ID`

## Method Summary

Modifier and Type
Method
Description
`int`
`getLastReplicatedBranchID()`
`long`
`getLastReplicatedCommitTime()`
`ISession`
`getReplicatorSession()`
`IRepositorySynchronizer`
`getSynchronizer()`
`void`
`goOffline()`
`void`
`goOnline()`
`boolean`
`hasBeenReplicated()`

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonRepository

`getCommitInfoStorage, getCreationTime, getIDGenerationLocation, getLobDigestAlgorithm, getMode, getName, getObjectIDTypes, getRootResourceID, getState, getStoreType, getType, getUUID, isAuthenticating, isAuthorizingOperations, isEnsuringReferentialIntegrity, isSerializingCommits, isSupportingAudits, isSupportingBranches, isSupportingEcore, isSupportingLoginPeeks, isSupportingUnits, waitWhileInitial`

### Methods inherited from interface org.eclipse.emf.cdo.common.lob.CDOLobLoader

`loadLob`

### Methods inherited from interface org.eclipse.emf.cdo.common.util.CDOTimeProvider

`getTimeStamp`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`activate, deactivate, getLifecycleState, isActive`

### Methods inherited from interface org.eclipse.emf.cdo.server.ILobCleanup

`cleanupLobs`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

### Methods inherited from interface org.eclipse.emf.cdo.server.IQueryHandlerProvider

`getQueryHandler`

### Methods inherited from interface org.eclipse.emf.cdo.server.IRepository

`addCommitInfoHandler, addHandler, getBranchManager, getClientEntities, getCommitConflictResolver, getCommitInfoHandlers, getCommitInfoManager, getEntities, getHandlers, getLastCommitTimeStamp, getLockingManager, getLockManager, getPackageRegistry, getProperties, getProtector, getQueryHandlerProvider, getRevisionManager, getSessionManager, getStore, getUnitManager, removeCommitInfoHandler, removeHandler, setInitialPackages, validateTimeStamp, waitForCommit`

## Method Details

### getSynchronizer

IRepositorySynchronizer getSynchronizer()

### getReplicatorSession

ISession getReplicatorSession()

### getLastReplicatedBranchID

int getLastReplicatedBranchID()

### getLastReplicatedCommitTime

long getLastReplicatedCommitTime()

### hasBeenReplicated

boolean hasBeenReplicated()

Since:
  4.2

### goOnline

void goOnline()

Since:
  4.1

### goOffline

void goOffline()

Since:
  4.1